<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####


include_once("auth.php");
include_once("../include/page_functions.php");
include_once("../include/module.Informer.php");

if(!defined('CONFIXX'))
{
	define('CONFIXX', 1);
}

if(!isset($alerts))
{
	$alerts = array();
}

if (empty($sbindir)) {
	$sbindir = dirname($bindir) . '/sbin';
}

$stylescript = "skinmng.pl";
$thisdir = dirname( __FILE__ );

$actions = array('editstyle', 'createfromskin', 'createfromzip','uplbuttons', 'delete', 'upllogos', 'adjust_workframe', 'editskins');

if(!$action && $returnto)
{
	$alerts[] = ltext("sk_select_action");
	$action = $returnto;
}

if( !in_array($action, $actions) )
{
	//echo "-- $action --";
	echo("<p><b>Error:</b> incorrect action $action</p>");
	user_error("incorrect action", E_USER_ERROR);
	die();
}

db_connect($db_host, $db_user, $db_pass);

include("skins_inc/" . $action . ".php");

print_footer();
db_close();
?>
